Re: [algogeeks] Finite state automata accpt string of length 6

2012-10-27 Thread payal gupta
...@gmail.comwrote: can u please elaborate...i am not able to understand the figure..plz explainit would be of great help On Sat, Oct 27, 2012 at 5:57 AM, payal gupta gpt.pa...@gmail.com wrote: should be 6C3 or 20 perhaps. On Sat, Oct 27, 2012 at 3:29 AM, rahul sharma rahul23111

Re: [algogeeks] Finite state automata accpt string of length 6

2012-10-27 Thread payal gupta
AM, payal gupta gpt.pa...@gmail.comwrote: should be 6C3 or 20 perhaps. On Sat, Oct 27, 2012 at 3:29 AM, rahul sharma rahul23111...@gmail.com wrote: Finite state automata accpt string of length 6 what is total number of strings in set..please find the attahcment -- You received

Re: [algogeeks] INTERVIEW QUESTION

2012-10-27 Thread payal gupta
with the interviewer. On 27 October 2012 07:03, Raghavan its...@gmail.com wrote: By any chance did you read the new blog post by Gayle Laakmaan.. I guess to detect typos we can use some sort of Trie implementation.. On Fri, Oct 26, 2012 at 7:50 PM, payal gupta gpt.pa...@gmail.com wrote: Given

Re: [algogeeks] Finite state automata accpt string of length 6

2012-10-26 Thread payal gupta
should be 6C3 or 20 perhaps. On Sat, Oct 27, 2012 at 3:29 AM, rahul sharma rahul23111...@gmail.comwrote: Finite state automata accpt string of length 6 what is total number of strings in set..please find the attahcment -- You received this message because you are subscribed to the Google

[algogeeks] INTERVIEW QUESTION

2012-10-26 Thread payal gupta
Design the data structures and algorithms to detect typos in a document and then provide suggestions to the user. Thanx in advance, Regards, PAYAL GUPTA, NIT-B. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view

[algogeeks] INTERVIEW QUESTION

2012-10-26 Thread payal gupta
Given a cube with sides length n, write code to print all possible paths from the center to the surface. Thanx in advance. Regards, PAYAL GUPTA, NIT-B. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view

Re: [algogeeks] INTERVIEW QUESTION

2012-10-26 Thread payal gupta
implementation.. On Fri, Oct 26, 2012 at 7:50 PM, payal gupta gpt@gmail.comjavascript: wrote: Given a cube with sides length n, write code to print all possible paths from the center to the surface. Thanx in advance. Regards, PAYAL GUPTA, NIT-B. -- You received

Re: [algogeeks] Fwd: IVY comptech campus visit

2012-10-25 Thread payal gupta
One coding question : find the third largest no in the given array of elements (20 min) 15 mcqs on java and apti each followed by a tech and hr intervw. @ll d bst..:):) Regards, PAYAL GUPTA, NIT-B. On Thu, Oct 25, 2012 at 2:13 PM, sachin singh sachin...@gmail.com wrote: Can anyone tell about

[algogeeks] REARRANGE

2012-09-10 Thread payal gupta
A square picture is cut into 16 squares and they are shuffled. Write a program to rearrange the 16 squares to get the original big square. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on the web visit

[algogeeks] INTRVIEW QUESTION

2012-08-11 Thread payal gupta
Given the start and an ending integer as user input, generate all integers with the following property. Example : 123 , 1+2 = 3 , valid number 121224 12+12 = 24 , valid number 1235 1+2 = 3 , 2+3 = 5 , valid number 125 1+2 5 , invalid number -- You received this message because you are

[algogeeks] longest continuous sequence

2012-08-05 Thread payal gupta
Find the longest subarray which consists of numbers that can be arranged in a continuous sequence. For ex- {4,5,1,5,7,6,8,4,1} output-{5,7,6,8,4}.Find the longest. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on

Re: [algogeeks] Local Minima in Unsorted Array

2012-08-05 Thread payal gupta
this could help although not true for many cases as said above http://ideone.com/w5gjK On Sun, Aug 5, 2012 at 8:40 AM, Ashish Goel ashg...@gmail.com wrote: can you give an example of what do you mean by Local minima? From Dave's example, it looks like the minima of the whole array.. Best

Re: [algogeeks] merging

2012-08-05 Thread payal gupta
int merge(int arr[],int n) { int l=0; int j=(n/3); int k=2*(n/3); int *a=(int*)malloc(sizeof(int)*n); for(int i=0;in/3;i++) { a[l++]=arr[i]; a[l++]=arr[j++]; a[l++]=arr[k++]; } for(int i=0;in;i++) arr[i]=a[i]; free(a); } cud be dun be dun recursively also to minimize d space complexity... On

Re: [algogeeks] merging

2012-08-05 Thread payal gupta
:32 AM, Navin Kumar algorithm.i...@gmail.comwrote: Actually i wanted to do it inplace. Using extra space it is much easier problem. On Mon, Aug 6, 2012 at 12:27 AM, payal gupta gpt.pa...@gmail.comwrote: int merge(int arr[],int n) { int l=0; int j=(n/3); int k=2*(n/3); int *a=(int

Re: [algogeeks] program

2012-07-26 Thread payal gupta
ans.20 On Thu, Jul 26, 2012 at 11:09 PM, Ali Ahmad Ansari ali.ahamad.ans...@gmail.com wrote: Given a number N, generate a sequence S such that S[ 0 ] = N S[ i+1 ] = (3 * S[ i ] + 1) / 2 if S[ i ] is odd, = S[ i ] / 2, if S[ i ] is even, till you reach 1. For example for N = 5, the

Re: [algogeeks] Java recursion Question !!

2012-07-26 Thread payal gupta
perhaps its this quoted line... permu(c,i+1,j); permu(c,i+1,n) On Thu, Jul 26, 2012 at 9:37 PM, teja bala pawanjalsa.t...@gmail.comwrote: // plz anyone tell me whats wrong in this code //o/p should print all possible permutations of string. class swap { char

Re: [algogeeks] heap insertion

2012-07-26 Thread payal gupta
ans:4 On Thu, Jul 26, 2012 at 11:26 PM, Ali Ahmad Ansari ali.ahamad.ans...@gmail.com wrote: Insert the numbers in the sequence 8, 5, 1, 4, 2, 10, 12, 7, 3 into a min-heap. The order of insertion is as given. The insertion happens as described

Re: [algogeeks] find the submatrix with largest sum

2012-07-14 Thread payal gupta
# On Fri, Jul 13, 2012 at 6:30 PM, payal gupta gpt.pa...@gmail.com wrote: given a n*n matrix of positive and negative integers ,find the submatrix with the largest sum -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion

Re: [algogeeks] Directi Interview Ques

2012-07-13 Thread payal gupta
i guess this algo would work... 1.scan the two array a and b from the end say the indexs be i j respectively for the two arrays 2.compare the elements a[i] with b[j] if a[i]b[j] include b[j] j-- else if a[i]b[j] then include a[i] j-- else if recursively findin reducing which

[algogeeks] find the submatrix with largest sum

2012-07-13 Thread payal gupta
given a n*n matrix of positive and negative integers ,find the submatrix with the largest sum -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on the web visit https://groups.google.com/d/msg/algogeeks/-/4V_eLYu5KA0J.

Re: [algogeeks] seperate diff types of coins

2012-07-10 Thread payal gupta
weighing Groups 2nd total weights is y units Second weighing. Lastly one more weighing among a unit and b unit coins.---3 rd weighing So minimum 3 weighing is required. On Tue, Jul 10, 2012 at 11:03 AM, payal gupta gpt.pa...@gmail.com wrote: You have 8 coins. 3 of them

Re: [algogeeks] Re: seperate diff types of coins

2012-07-10 Thread payal gupta
,it isnt the cumulative sum of the coins as u considered ,thats what i got from the question.. Correct me if i'm wrong. Could it be done it done in lesser than 8 weighings?? Regards, PAYAL GUPTA. On 7/10/12, Dave dave_and_da...@juno.com wrote: @Gupta: You haven't defined the problem sufficiently

[algogeeks] seperate diff types of coins

2012-07-09 Thread payal gupta
You have 8 coins. 3 of them weigh x units, 3 y units, 1 a units and 1 b units. They are all mixed and look identical. What are the minimum no of weighings reqd to seperate the for types of coins??? -- You received this message because you are subscribed to the Google Groups Algorithm Geeks

Re: [algogeeks] MS Design Ques

2012-07-05 Thread payal gupta
thnx...4 d rply.. Regards, PAYAL GUPTA, NIT-B. On Fri, Jul 6, 2012 at 12:43 AM, Anshu Mishra anshumishra6...@gmail.comwrote: First define all the basic operation you can apply on two numbers. Binary operation : +, -, *, /, %, optional((and), |(or), ^(xor)) Unary operation

[algogeeks] MS Design Ques

2012-07-01 Thread payal gupta
design a BIG_INT library... Regards, PAYAL GUPTA, NIT-B. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on the web visit https://groups.google.com/d/msg/algogeeks/-/EHIiPPFJ4t0J. To post to this group, send email

Re: [algogeeks] Re: Partition the array with equal average

2012-05-19 Thread payal gupta
ignore my last post ... Thnx for the suggestions.. On Sat, May 19, 2012 at 10:29 AM, payal gupta gpt.pa...@gmail.com wrote: @adarsh why have we taken an assumption of the average to be integer all the time it could be float as well? @prem how could we find all possible subsets in tc-O(n2

Re: [algogeeks] Re: Partition the array with equal average

2012-05-19 Thread payal gupta
problem. You have to find a subset of elements of array whose sum is x/2, where x is sum of all the elements of the array. On Sat, May 19, 2012 at 2:07 PM, payal gupta gpt.pa...@gmail.com wrote: this wont work out as we need to partition the elements to get the average of the two parts

Re: [algogeeks] Interview Question based on histogram

2012-05-18 Thread payal gupta
of volarr[] gives the water trapped On Fri, May 18, 2012 at 10:36 AM, Prem Krishna Chettri hprem...@gmail.comwrote: Algo Dear.. Algo.. implementation Anyone can Do.. Req ppl to share their own algo.. No Someones Code Implementation.. On Fri, May 18, 2012 at 9:54 AM, payal gupta gpt.pa

[algogeeks] Partition the array with equal average

2012-05-18 Thread payal gupta
How do you partition an array into 2 parts such that the two parts have equal average?...each partition may contain elements that are non-contiguous in the array... -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on

Re: [algogeeks] Re: Partition the array with equal average

2012-05-18 Thread payal gupta
time ago. It's NP hard. So an algorithm that gets the correct answer every time will run in exponential time. You can do it in pseudo-polynomial time -- polynomial in the magnitude of the elements - by using the DP method used for subset sum. On May 18, 2:35 am, payal gupta gpt.pa

Re: [algogeeks] Interview Question based on histogram

2012-05-17 Thread payal gupta
hope this works.. http://ideone.com/XSJRJ On Fri, May 18, 2012 at 8:20 AM, Bhaskar Kushwaha bhaskar.kushwaha2...@gmail.com wrote: It depends on which column you are pouring the water. For example If you choose the shortest column to pour the water then only that column will be filled with

Re: [algogeeks] Re: finding anagrams in a list of words

2012-05-14 Thread payal gupta
@atul instead of sorting the string individually which would require tc- O(nlogn) shouldnot it be a better idea to use the sum of the ascii values of the individual alphabets as the key which would require tc-O(n) ??? On Sun, May 13, 2012 at 7:07 PM, GAURAV CHAWLA togauravcha...@gmail.comwrote:

Re: [algogeeks] Re: finding anagrams in a list of words

2012-05-14 Thread payal gupta
hmm... thnx for the catch of my flaw... On Mon, May 14, 2012 at 11:56 PM, saurabh singh saurabh.n...@gmail.comwrote: u mean ad == bc ? On Mon, May 14, 2012 at 10:41 PM, payal gupta gpt.pa...@gmail.com wrote: @atul instead of sorting the string individually which would require tc- O(nlogn

Re: [algogeeks] Re: find a point closest to other points

2012-04-25 Thread payal gupta
We can calculate the centroid of all d points and then calculate their individual distances from it .The point with the minimum distance will be the answer. TC :O(n) Regards, PAYAL GUPTA On 4/25/12, Navneet navneetn...@gmail.com wrote: We cannot do it without computing distances of each node

Re: [algogeeks] [ DirectI ] Interview question

2012-03-24 Thread payal gupta
if the array considered is { 1 ,6 ,8 ,3 ,5, 4, 2} is this the way the problm o/p expected??? 1 6 8 3 5 4 2 1 3 8 6 5 4 2 1 3 6 8 5 4 2 1 3 6 5 8 4 2 1 3 6 5 4 8 2 1 3 6 5 4 2 8 correct if wrong. On Sat, Mar 24, 2012 at 10:53 PM, karthikeyan muthu keyankarthi1...@gmail.com wrote: if i'm

Re: [algogeeks] [ DirectI ] Interview question

2012-03-24 Thread payal gupta
the o/p for the array { 1 ,6 ,8 ,3 ,5, 4, 2} is: 2 6 8 3 5 4 1 1 3 8 6 5 4 2 1 3 6 8 5 4 2 1 3 6 5 8 4 2 1 3 6 5 4 8 2 1 3 6 5 4 2 8 not necessarily the sorted array... On Sun, Mar 25, 2012 at 1:04 AM, shady sinv...@gmail.com wrote: what is the output for this ? { 1 ,6 ,8 ,3 ,5, 4, 2} On

Re: [algogeeks] Array problem

2012-03-12 Thread payal gupta
by the avl trees or some height balanced tree n the algo would be of TC-O(nlogn) btw nyc catch thnx... Regards, PAYAL GUPTA On Mon, Mar 12, 2012 at 5:19 PM, Piyush Kapoor pkjee2...@gmail.com wrote: 1)First map the array numbers into the position in which they would be, if they are sorted,for example

Re: [algogeeks] Array problem

2012-03-11 Thread payal gupta
By Augmented BST- TC-O(n) On Sun, Mar 11, 2012 at 3:08 PM, Gaurav Popli gpgaurav.n...@gmail.comwrote: given an array of size n... create an array of size n such that ai where ai is the element in the new array at index location i is equal to sum of all elements in original array which are

Re: [algogeeks] Re: find longest common contiguous intersection from 2 lists

2012-03-10 Thread payal gupta
dat. Regards, PAYAL GUPTA On Sat, Mar 10, 2012 at 10:12 AM, Sonia Keys soniak...@gmail.com wrote: This? http://en.wikipedia.org/wiki/Longest_common_substring_problem On Friday, March 9, 2012 2:30:57 PM UTC-5, payal gupta wrote: find the efficient implementation to find longest common

[algogeeks] find longest common contiguous intersection from 2 lists

2012-03-09 Thread payal gupta
find the efficient implementation to find longest common contiguous intersection from 2 lists provided to the function. Example: list1: abcrfghwetf list2: abrfghwwetxyab Longest common intersection here is: rfghw need the suffix array implementation in c... thnx..in advance!! -- You

Re: [algogeeks] Puzzle

2012-02-28 Thread payal gupta
one option cud be reverse the digits...i.e (bt the first n d last do not satisfy d pattern howeva) 93 , 14,34,54,94,15,35,35,55 an increment is applied to the last 4th no each tme... not very sure if its crckt... Regards, PAYAL GUPTA On Tue, Feb 28, 2012 at 12:48 PM, Kartik Sachan kartik.sac

Re: [algogeeks] Finding closest double in a Btree

2012-02-20 Thread payal gupta
here is the soln. http://ideone.com/Qu0a0#view_edit_box however dere's a problem which needs to be resolved the prob is if the diff is 0 then due to the use of abs() its getting overriden i'm not able to find way out of it... ny suggestns are welcum.. Regards, PAYAL GUPTA. On Mon

Re: [algogeeks] determining if frequency is greater than n/2

2012-02-09 Thread payal gupta
http://www.geeksforgeeks.org/archives/4722 O(logn) soln... Regards, PAYAL GUPTA, NIT-B On Thu, Feb 9, 2012 at 5:33 PM, atul anand atul.87fri...@gmail.com wrote: ignore my comment... On Thu, Feb 9, 2012 at 4:15 PM, Ashish Goel ashg...@gmail.com wrote: log n is impossible. the other

Re: [algogeeks] determining if frequency is greater than n/2

2012-02-09 Thread payal gupta
i dont think its possible for unsorted array in O(logn).. Regards, PAYAL GUPTA , NIT-B On Thu, Feb 9, 2012 at 6:02 PM, atul anand atul.87fri...@gmail.com wrote: @payal : this will work for only sorted array not for unsorted. On Thu, Feb 9, 2012 at 5:50 PM, payal gupta gpt.pa

Re: [algogeeks] In a char string, find min distance between 2 letters, O(n) time, O(1) space.

2012-02-05 Thread payal gupta
do u mean d min distance b/w two specific nos present in an array which may have repeated ele's??? Regards, PAYAL GUPTA, NIT-B. On Sun, Feb 5, 2012 at 7:51 PM, Ashish Goel ashg...@gmail.com wrote: Best Regards Ashish Goel Think positive and find fuel in failure +919985813081

Re: [algogeeks] c output

2012-01-16 Thread payal gupta
); printf(%0.3lf %0.3lf\n,p,t); printf(%lf\n%lf\n,fabs(p),fabs(t)); if(fabs(p)==fabs(t)) printf(equal);// why this not executed?} crkt me if i'm wrong.. Regards, PAYAL GUPTA, NIT-BHOPAL.. On Tue, Jan 17, 2012 at 12:13 PM, shady sinv...@gmail.com wrote: atul he is assigning the value later

Re: [algogeeks] MS Question

2012-01-14 Thread payal gupta
@himanshu thnx..:) Regards, PAYAL GUPTA, 3rd YR ,CSE, NIT-BHOPAL. On Fri, Jan 13, 2012 at 9:42 PM, Himanshu Neema potential.himansh...@gmail.com wrote: Let a color below represent a single character in UTF-8 encoding , which means that each color can span multiple bytes , In example below I

Re: [algogeeks] prob

2012-01-14 Thread payal gupta
character bt d value after incrementin wen d pointer still points 2 d charactr C in string... hope i was clear @ xplainatn... Regards, PAYAL GUPTA, NIT-BHOPAL. On Sat, Jan 14, 2012 at 3:10 PM, om prakash yadav ompraksyadav123...@gmail.com wrote: main() { char ch[]=ABCD; char *s; s=ch

Re: [algogeeks] Linked list MS Q

2012-01-14 Thread payal gupta
XOR linked lists... dis willbe On Sat, Jan 14, 2012 at 7:13 PM, Ankur Garg ankurga...@gmail.com wrote: XOR Linked Lists helpful if not known.. http://www.geeksforgeeks.org/archives/12367 Regards, PAYAL GUPTA, NIT-BHOPAL. On Sat, Jan 14, 2012 at 7:06 PM, Ashish Goel ashg...@gmail.com wrote

Re: [algogeeks] Linked list MS Q

2012-01-14 Thread payal gupta
sorry 4 d error in last post.. dis link vud b helpful..if not known previously... http://www.geeksforgeeks.org/archives/12367 Regards, PAYAL GUPTA, NIT-BHOPAL. On Sat, Jan 14, 2012 at 7:29 PM, payal gupta gpt.pa...@gmail.com wrote: XOR linked lists... dis willbe On Sat, Jan 14, 2012 at 7

[algogeeks] C QUESTION???

2012-01-06 Thread payal gupta
Wat is the use of ## in define?? #include stdio.h #define f(g,g2) g##g2 void main() { int var12 =100; printf(%d,f(var,12)); } o/p :100 -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this discussion on the web visit

Re: [algogeeks] C QUESTION???

2012-01-06 Thread payal gupta
@parag thnx... btw is dere ny source dat has ny info bout it?? Regards, Payal Gupta, 3rd year, NIT-Bhopal On Sat, Jan 7, 2012 at 12:36 AM, parag khanna khanna.para...@gmail.comwrote: On Sat, Jan 7, 2012 at 12:36 AM, parag khanna khanna.para...@gmail.comwrote: it joins the variables

Re: [algogeeks] C QUESTION???

2012-01-06 Thread payal gupta
@utkarsh n tejbala ...thnx..4 d info. Regards, Payal gupta, 3rd year,cse, NIT-Bhopal On Sat, Jan 7, 2012 at 9:30 AM, teja bala pawanjalsa.t...@gmail.com wrote: ## concatenating operator On Sat, Jan 7, 2012 at 9:01 AM, UTKARSH SRIVASTAV usrivastav...@gmail.com wrote: yes payal read

Re: [algogeeks] Re: Questions

2011-12-05 Thread payal gupta
ya hashing cud be a bttr soln bt wat cud be hash fn den??? Regards, PAYAL GUPTA. On 11/30/11, Ankuj Gupta ankuj2...@gmail.com wrote: We can do it by hashing. hash the 2-d array and then search for 1 d array in the hash table. -- You received this message because you are subscribed

Re: [algogeeks] Thanks To aLgOgEeKs

2011-12-03 Thread payal gupta
@ atul n ankur... thnx..for the info.. regards, payal gupta On 12/3/11, saurabh singh saurab...@gmail.com wrote: First of all congrats Viharri.As far as I can remember most of the above questions has already been discussed on this group(If not directly in a different variation,) My request

Re: [algogeeks] Thanks To aLgOgEeKs

2011-12-02 Thread payal gupta
congrats..:):) plzz...elaborate the last two problemsand it vud be very grateful if u tell their solns tooo... Regards, payal gupta, cse,3rd year, nit-b. On 12/2/11, rahul sharma rahul23111...@gmail.com wrote: plz post how you prepared for MS..like the books or websites you followed

Re: [algogeeks] Reconstruct BST from preorder traversal

2011-10-18 Thread payal gupta
hey,i guess a specific binary tree is not possible...by d use of jst a preorder... 4 a specific tree inorder is also reqd... dere will be many trees posible...sso is it dat v got 2 make all possible tree vth d given preorder??? On Tue, Oct 18, 2011 at 10:12 AM, Ankuj Gupta ankuj2...@gmail.com

Re: [algogeeks] Database Classes

2011-10-08 Thread payal gupta
thnxx...4 sharing..:):) regards, PAYAL GUPTA, CSE_3rd yr NIT_B On Sat, Oct 8, 2011 at 7:47 PM, monty 1987 1986mo...@gmail.com wrote: Thanks A lot for sharing!! On Sat, Oct 8, 2011 at 2:03 PM, Rahul Verma rahulverma@gmail.comwrote: Hi friends, Sorry for this off topic, but I found

Re: [algogeeks] Re: MS test cases type Questions

2011-10-08 Thread payal gupta
k... thanx...your info vud be of great help for me in future.. regards, PAYAL GUPTA, CSE 3RD YR NIT_B On Wed, Sep 14, 2011 at 11:38 PM, KK kunalkapadi...@gmail.com wrote: U must mention all the boundary cases, very large input cases, -ve nos and must throw appropriate exception while coding

Re: [algogeeks] request of ebook..(Data Structures and algorithms made easy:)

2011-09-26 Thread payal gupta
had been finnding d buk since many daz.. plzzz..do send d buk 2 me 2... thnx...in advance...:) regards, PAYAL GUPTA, CSE-3rd YR NIT_B On Mon, Sep 26, 2011 at 4:03 PM, sangeeta goyal sangeeta15...@gmail.comwrote: i also need that book On Mon, Sep 26, 2011 at 6:00 AM, Amit Mittal amit.mitt

Re: [algogeeks] dbms

2011-09-23 Thread payal gupta
KORTH OR NAVATHE is nyc...:) regards, PAYAL GUPTA, CSE 3rd yr, NIT_B On Fri, Sep 23, 2011 at 1:09 PM, Akash Mukherjee akash...@gmail.com wrote: hican ne1 suggest good books for dbms...not theory types but more of a question bank like maybe a cracking the coding interview is for coding

Re: [algogeeks] dbms

2011-09-23 Thread payal gupta
hmmm..yes dey r d theory...vich i used..n dey r gud regards, PAYAL GUPTA, CSE_3rd yr NIT_B On Fri, Sep 23, 2011 at 11:21 PM, Akash Mukherjee akash...@gmail.comwrote: @payal : thanx but des are more of theory books ryt?? On Fri, Sep 23, 2011 at 5:32 PM, payal gupta gpt.pa...@gmail.com wrote

Re: [algogeeks] Re: error in c++ program

2011-09-22 Thread payal gupta
==hendl; } int main() { time a,b,c,d; a.set(1,2); b.set(2,4); c.set(4,8); d.sum(a,b,c); //display a.display(); b.display(); c.display(); d.display(); return 0; } dis does works...chk it out!!! Regards, PAYAL GUPTA, CSE-3rd yr, NIT_B On Thu, Sep 22, 2011 at 9:28 PM, Don dondod...@gmail.com wrote

Re: [algogeeks] Re: What is the time to get min element from the binary max heap !!

2011-09-20 Thread payal gupta
its O(nlogn) only... n v cant directly access d leaf element... since d leaf elements are n(n-1)/2so last dese many elemnts will found n compared... Regards, PAYAL GUPTA, CSE-3rd yr NIT_B On Tue, Sep 20, 2011 at 10:54 PM, saurabh agrawal saurabh...@gmail.comwrote: How will you directly

Re: [algogeeks] Re: yahoo campus placements

2011-09-16 Thread payal gupta
do share u experiences..n questions if possible 4 sure!!! thnx..in advance... Regards, PAYAL GUPTA, CSE-3rd yr NIT-B On Fri, Sep 16, 2011 at 11:31 AM, siva viknesh sivavikne...@gmail.comwrote: http://in.careers.yahoo.com/students/content/186 check this .. it has visited many colleges

Re: [algogeeks] Re: MS test cases type Questions

2011-09-14 Thread payal gupta
dats f9...bt cud i get 2 knoe ...how bout answering 2 d perfectness...n if v cud practice dem from nywhere Regards, PAYAL GUPTA, CSE-3 rd yr, NIT-B On Tue, Sep 13, 2011 at 10:05 PM, Navneet navneetn...@gmail.com wrote: Basically test cases are asked for very general purpose software like

Re: [algogeeks] need help

2011-09-12 Thread payal gupta
+1 techcoder,plzzz mail me 2..thanks in advance Regards, Payal Gupta On Mon, Sep 12, 2011 at 11:01 AM, sukran dhawan sukrandha...@gmail.comwrote: +1 to tech coder On Mon, Sep 12, 2011 at 10:50 AM, tech coder techcoderonw...@gmail.comwrote: if somebody has the preparation material

Re: [algogeeks] ms question

2011-09-12 Thread payal gupta
@piyush.. cud u plzz..xplain...n elaborate Regards, Payal Gupta On Mon, Sep 12, 2011 at 10:15 PM, Piyush Grover piyush4u.iit...@gmail.comwrote: Sry i was little wrong: nC0*(1/n)^n + nC2 *2*(1/n)^n + nC4*2^2*(1/n)^n++nCn*2^(n/2)*(1/n)^n when n is even nC0*(1/n)^n + nC2 *2*(1/n)^n

Re: [algogeeks] Re: Urgent...plz help

2011-08-18 Thread payal gupta
i agree with amol it cud be max-heap only... Regards, PAYAL GUPTA On Thu, Aug 18, 2011 at 2:26 PM, Apoorve Mohan apoorvemo...@gmail.comwrote: or rather u can just have 100 iterations of selection sort...u'll get the min 100 iterations...and this is inplace as well... On Thu, Aug 18

Re: [algogeeks] Re: MS BRAINTEASR

2011-08-18 Thread payal gupta
hmm...suitable rply i suppose thanx...:):) REGARDS, PAYAL GUPTA On Thu, Aug 18, 2011 at 4:36 PM, DheerajSharma dheerajsharma1...@gmail.comwrote: it would take c days to take off all the hats On Aug 18, 3:51 pm, pg@manit gpt.pa...@gmail.com wrote: A bunch of men are on an island

Re: [algogeeks] Adobe off campus event

2011-08-18 Thread payal gupta
+1 siddharam plzz...inform any off campus...if any1 has any idea.. Regards, PAYAL GUPTA. On Thu, Aug 18, 2011 at 11:27 PM, siddharam suresh siddharam@gmail.comwrote: guys please keep updating about any off campus event Thank you, Siddharam On Thu, Aug 18, 2011 at 10:28 PM, rubal

Re: [algogeeks] Puzzle

2011-08-18 Thread payal gupta
was there anything more specified Regards, PAYAL GUPTA On Fri, Aug 19, 2011 at 3:29 AM, Aditya Virmani virmanisadi...@gmail.comwrote: If ü - Married û - Not Married and M-ü N-û N-ü L-û L-û M-ü Who is married? qn was put up in this way, asked in Deloitte 2004. -- You received

Re: [algogeeks] Amazon Interview Q

2011-08-17 Thread payal gupta
if we take 2 pointers initialized with the start node with one moving in forward direction and other in backward direction and execute until both point to same node .it cud be workin faster i suppose... On Thu, Aug 18, 2011 at 1:21 AM, Piyush Sinha ecstasy.piy...@gmail.comwrote: We all knw hw

Re: [algogeeks] Re: Output?? Why??

2011-08-17 Thread payal gupta
i modified the code a lil bit #includestdio.h #includeconio.h int main() { clrscr(); char arr[5] = geeks; printf(%s\n, arr); char b[1]=t; printf(%s\n,b); getchar(); return 0; } the output in dis case is somewhat diff..cud someone explain... On Thu, Aug 18, 2011 at 3:28 AM, Ayush Kapoor

Re: [algogeeks] Amazon Interview Q

2011-08-17 Thread payal gupta
ys...i guess i misinterpreted..the question.. ma fault... On Thu, Aug 18, 2011 at 4:27 AM, Brijesh Upadhyay brijeshupadhyay...@gmail.com wrote: At the node from where the loop just started.. anyway we could not use that logic , coz it isnt circular linked list! -- You received this message

Re: [algogeeks] Re: Microsoft Written Test Questions

2011-08-10 Thread payal gupta
do reply if u have it On Thu, Aug 11, 2011 at 12:24 AM, Brijesh Upadhyay brijeshupadhyay...@gmail.com wrote: Yeah...please share questions..it will be of a lot help! -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To view this